PromptHeading = ID_TUTORIAL_6A_OFFSET + 1
g_currentprompt = 0;
g_counter = 0;
Tweaks.numyearsin24hours = 0;

-------------------------------------------------------------------------------------------------
-- INITIALISE_Level. Standard level event
-------------------------------------------------------------------------------------------------
function EVENTINITIALISE_Level()
	-- load the building and business file
	C_RunScript("scripts\\maps\\tempmap.lua");
	C_RunScript("scripts\\tutorial4\\initialpref.lua");

end;

-------------------------------------------------------------------------------------------------
-- Level. Standard level event.
-------------------------------------------------------------------------------------------------
function EVENT_Level()
	-- create an initial prompt
	C_TriggerEvent("BlockCam", 1, PACIFIC_AVENUE);

	Interface.DisableAllControls();
	Interface.DisableAll3DPicking();
--	Interface.DisableCameraControl();

	-- create the initial prompt
	CreatePrompt(1);
end;

function CATCHEVENT_InterfacePromptDismiss(a)
	CreatePrompt(a);
end;

function CATCHEVENT_TutorialEvent(a)

	if a == TUT_MPP_BUILDING_RIGHT_TOGGLE and g_currentprompt == 6 then
		Interface.DismissPrompt();
		Interface.DisableControl(TUT_MPP_BUILDING_RIGHT_TOGGLE);
	end;

	if a == TUT_MPP_BUILDING_RIGHT_TOGGLE and g_currentprompt == 5 then
		Interface.DismissPrompt();
	end;

	if a == TUT_MPP_BUILDING_RIGHT_TOGGLE and g_currentprompt == 4 then
		Interface.DismissPrompt();
	end;
end;

function CATCHEVENT_Picked3D(a)

	if g_currentprompt == 2 then
		Interface.DismissPrompt();
		Interface.DisableAll3DPicking();
	end;

	if g_currentprompt == 11 then
		Interface.DismissPrompt();
		Interface.DisableAll3DPicking();
	end;

end;

-- prompt manager
function CreatePrompt(a)
	g_currentprompt = a;
	body = a+PromptHeading;
	if a == 1 then
		Interface.CreatePrompt(PromptHeading,body, a+1); --"Now let's look at what you can do with buildings. ", a+1);
	elseif a == 2 then
		Interface.CreatePrompt(PromptHeading,body, a+1); --"Lets click on this building here...", a+1);
	elseif a == 3 then
		Game.End(true);
	end;
end;

